DisplayGripsWithinBlocks Example |
Using Programming Languages other than VBA
Sub Example_DisplayGripsWithinBlocks() ' This example reads and modifies the preference value that controls ' the assignment of grips within blocks. ' When finished, this example resets the preference value back to ' its original value. Dim ACADPref As AcadPreferencesSelection Dim originalValue As Variant, newValue As Variant ' Get the selection preferences object Set ACADPref = ThisDrawing.Application.preferences.Selection ' Read and display the original value originalValue = ACADPref.DisplayGripsWithinBlocks MsgBox "The DisplayGripsWithinBlocks preference is set to: " & originalValue ' Modify the DisplayGripsWithinBlocks preference by toggling the value ACADPref.DisplayGripsWithinBlocks = Not (originalValue) newValue = ACADPref.DisplayGripsWithinBlocks MsgBox "The DisplayGripsWithinBlocks preference has been set to: " & newValue ' Reset the preference back to its original value ' ' * Note: Comment out this last section to leave the change to ' this preference in effect ACADPref.DisplayGripsWithinBlocks = originalValue MsgBox "The DisplayGripsWithinBlocks preference was reset back to: " & originalValue End Sub
Comments? |